### gnu.inet.encoding

# Class Composition

- `java.lang.Object`
- - `gnu.inet.encoding.Composition`

`public class Composition`
`extends java.lang.Object`

Auto-generated class containing Unicode NFKC tables.

  ## Field Summary

  `static int[][]`

  `composeData`

  `static int[]`

  `composePage`

  `static char[][]`

  `multiFirst`

  `static int`

  `multiSecondStart`

  `static char[][]`

  `singleFirst`

  `static int`

  `singleFirstStart`

  `static char[][]`

  `singleSecond`

  `static int`

  `singleSecondStart`

## Field Details

### composeData

    public static final int[][] composeData

### composePage

    public static final int[] composePage

### multiFirst

    public static final char[][] multiFirst

### multiSecondStart

    public static final int multiSecondStart

> Field Value:
>   144

### singleFirst

    public static final char[][] singleFirst

### singleFirstStart

    public static final int singleFirstStart

> Field Value:
>   181

### singleSecond

    public static final char[][] singleSecond

### singleSecondStart

    public static final int singleSecondStart

> Field Value:
>   391